/* TroiaPreview
 * version 0.4.1 date 2005-02-06
 * Copyright (C) 2003-2005 Stefan Schuermans <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Console
#define INC_Console

//public constants
#define ConsoleTextSizeX 256
#define ConsoleTextSizeY 256

//inistialize console
void ConsoleInit( );

//print an interpreted character to the console-buffer
void ConsolePutc( char Chr );

//print text to the console-buffer
void ConsolePrint( char * Text );

//insert a line in the console-buffer (just above the actual line)
void ConsoleInsertLine( char * Text );

//refresh console
void ConsoleRefresh( );

//refresh console
void GetConsoleLine( char * pLine, long LineSize );

//move console left
void ConsoleMoveLeft( );

//move console right
void ConsoleMoveRight( );

//move console up
void ConsoleMoveUp( );

//move console down
void ConsoleMoveDown( );

//move console up a page
void ConsoleMovePageUp( );

//move console down a page
void ConsoleMovePageDown( );

#endif //#ifndef INC_Console

